#ifndef METZGAR_COMMODORE_H
#define METZGAR_COMMODORE_H


#include <allegro5/allegro.h>


ALLEGRO_COLOR VIC20_GetColor(int color, bool PAL=false);
ALLEGRO_COLOR MapHexColor(const char *hex);

extern char *VIC20_NTSC_Colors[];
extern char *VIC20_PAL_Colors[];
extern char *VIC20_Colors[];

#define VIC20_NTSC_BLACK "#000000"
#define VIC20_NTSC_WHITE "#ffffff"
#define VIC20_NTSC_RED "#f91137" // red
#define VIC20_NTSC_CYAN "#35f9f6" // cyan
#define VIC20_NTSC_PINK "#ff3cc6" // pink
#define VIC20_NTSC_GREEN "#3ceda9" // green
#define VIC20_NTSC_BLUE "#0f57f7" // blue
#define VIC20_NTSC_YELLOW "#fee963" // yellow
#define VIC20_NTSC_ORANGE "#fb6244" // orange
#define VIC20_NTSC_LIGHT_ROSE "#fbbfde" // light rose
#define VIC20_NTSC_LIGHT_PINK_1 "#f3ace5" // light pink 1
#define VIC20_NTSC_LIGHT_CYAN "#a8eadd" // light cyan
#define VIC20_NTSC_LIGHT_PINK_2 "#e6b8f7" // light pink 2
#define VIC20_NTSC_LIGHT_GREEN "#abdda4" // light green
#define VIC20_NTSC_LIGHT_BLUE "#6ab3e7" // light blue
#define VIC20_NTSC_LIGHT_PEACE "#f7daa5" // light peach
#define VIC20_PAL_BLACK "#000000" // black
#define VIC20_PAL_WHITE "#ffffff" // white
#define VIC20_PAL_RED "#b61f21" // red
#define VIC20_PAL_CYAN "#4df0ff" // cyan
#define VIC20_PAL_PURPLE "#b43fff" // purple
#define VIC20_PAL_GREEN "#44e237" // green
#define VIC20_PAL_BLUE "#1a34ff" // blue
#define VIC20_PAL_YELLOW "#dcd71b" // yellow
#define VIC20_PAL_ORANGE "#ca5400" // orange
#define VIC20_PAL_LIGHT_ORANGE "#e9b072" // light orange
#define VIC20_PAL_LIGHT_RED "#e79293" // light red
#define VIC20_PAL_LIGHT_CYAN "#9af7fd" // light cyan
#define VIC20_PAL_LIGHT_PURPLE "#e09fff" // light purple
#define VIC20_PAL_LIGHT_GREEN "#8fe493" // light green
#define VIC20_PAL_LIGHT_BLUE "#8290ff" // light blue
#define VIC20_PAL_LIGHT_YELLOW "#e5de85" // light yellow

#endif
