// Fluxions 3D Engine
// fluxions/html_colors.hpp
// Copyright (C) 2000-2011 Jonathan Metzgar
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

#ifndef FLUXIONS_HTML_COLORS_HPP
#define FLUXIONS_HTML_COLORS_HPP

namespace Fluxions
{
	namespace Colors
	{
		const float AliceBlue[4] = { 0.9411765f, 0.9725490f, 1.0f, 1.0f };
		const float AntiqueWhite[4] = { 0.9803922f, 0.9215686f, 0.8431373f, 1.0f };
		const float Aqua[4] = { 0.0f, 1.0f, 1.0f, 1.0f };
		const float Aquamarine[4] = { 0.4980392f, 1.0f, 0.8313725f, 1.0f };
		const float Azure[4] = { 0.0f, 0.4980392f, 1.0f, 1.0f };
		const float Beige[4] = { 0.9607843f, 0.9607843f, 0.8627451f, 1.0f };
		const float Bisque[4] = { 1.0f, 0.8941176f, 0.7686275f, 1.0f };
		const float Black[4] = { 0.0f, 0.0f, 0.0f, 1.0f };
		const float BlanchedAlmond[4] = { 1.0f, 0.9215686f, 0.8039216f, 1.0f };
		const float Blue[4] = { 0.0f, 0.0f, 1.0f, 1.0f };
		const float BlueViolet[4] = { 0.5411765f, 0.1686275f, 0.8862745f, 1.0f };
		const float Brown[4] = { 0.6470588f, 0.1647059f, 0.1647059f, 1.0f };
		const float BurlyWood[4] = { 0.8705882f, 0.7215686f, 0.5294118f, 1.0f };
		const float CadetBlue[4] = { 0.3725490f, 0.6196078f, 0.6274510f, 1.0f };
		const float Chartreuse[4] = { 0.4980392f, 1.0f, 0.0f, 1.0f };
		const float Chocolate[4] = { 0.8235294f, 0.4117647f, 0.1176471f, 1.0f };
		const float Coral[4] = { 1.0f, 0.4980392f, 0.3137255f, 1.0f };
		const float CornflowerBlue[4] = { 0.3921569f, 0.5843137f, 0.9294118f, 1.0f };
		const float Cornsilk[4] = { 1.0f, 0.9725490f, 0.8627451f, 1.0f };
		const float Crimson[4] = { 0.8627451f, 0.0784314f, 0.2352941f, 1.0f };
		const float Cyan[4] = { 0.0f, 1.0f, 1.0f, 1.0f };
		const float DarkBlue[4] = { 0.0f, 0.0f, 0.5450980f, 1.0f };
		const float DarkCyan[4] = { 0.0f, 0.5450980f, 0.5450980f, 1.0f };
		const float DarkGoldenrod[4] = { 0.7215686f, 0.5254902f, 0.0431373f, 1.0f };
		const float DarkGray[4] = { 0.6627451f, 0.6627451f, 0.6627451f, 1.0f };
		const float DarkGreen[4] = { 0.0f, 0.3921569f, 0.0f, 1.0f };
		const float DarkGrey[4] = { 0.6627451f, 0.6627451f, 0.6627451f, 1.0f };
		const float DarkKhaki[4] = { 0.7411765f, 0.7176471f, 0.4196078f, 1.0f };
		const float DarkMagenta[4] = { 0.5450980f, 0.0f, 0.5450980f, 1.0f };
		const float DarkOliveGreen[4] = { 0.3333333f, 0.4196078f, 0.1843137f, 1.0f };
		const float DarkOrange[4] = { 1.0f, 0.5490196f, 0.0f, 1.0f };
		const float DarkOrchid[4] = { 0.6000000f, 0.1960784f, 0.8000000f, 1.0f };
		const float DarkRed[4] = { 0.5450980f, 0.0f, 0.0f, 1.0f };
		const float DarkSalmon[4] = { 0.9137255f, 0.5882353f, 0.4784314f, 1.0f };
		const float DarkSeagreen[4] = { 0.5607843f, 0.7372549f, 0.5607843f, 1.0f };
		const float DarkSlateblue[4] = { 0.2823529f, 0.2392157f, 0.5450980f, 1.0f };
		const float DarkSlategray[4] = { 0.1843137f, 0.3098039f, 0.3098039f, 1.0f };
		const float DarkSlategrey[4] = { 0.1843137f, 0.3098039f, 0.3098039f, 1.0f };
		const float DarkTurquoise[4] = { 0.0f, 0.8078431f, 0.8196078f, 1.0f };
		const float DarkViolet[4] = { 0.5803922f, 0.0f, 0.8274510f, 1.0f };
		const float DeepPink[4] = { 1.0f, 0.0784314f, 0.5764706f, 1.0f };
		const float DeepSkyBlue[4] = { 0.0f, 0.7490196f, 1.0f, 1.0f };
		const float DimGray[4] = { 0.4117647f, 0.4117647f, 0.4117647f, 1.0f };
		const float DimGrey[4] = { 0.4117647f, 0.4117647f, 0.4117647f, 1.0f };
		const float DodgerBlue[4] = { 0.1176471f, 0.5647059f, 1.0f, 1.0f };
		const float FireBrick[4] = { 0.6980392f, 0.1333333f, 0.1333333f, 1.0f };
		const float FloralWhite[4] = { 1.0f, 0.9803922f, 0.9411765f, 1.0f };
		const float ForestGreen[4] = { 0.1333333f, 0.5450980f, 0.1333333f, 1.0f };
		const float Fuchsia[4] = { 1.0f, 0.0f, 1.0f, 1.0f };
		const float Gainsboro[4] = { 0.8627451f, 0.8627451f, 0.8627451f, 1.0f };
		const float GhostWhite[4] = { 0.9725490f, 0.9725490f, 1.0f, 1.0f };
		const float Gold[4] = { 1.0f, 0.8431373f, 0.0f, 1.0f };
		const float Goldenrod[4] = { 0.8549020f, 0.6470588f, 0.1254902f, 1.0f };
		const float Gray[4] = { 0.5019608f, 0.5019608f, 0.5019608f, 1.0f };
		const float Grey[4] = { 0.5019608f, 0.5019608f, 0.5019608f, 1.0f };
		const float Green[4] = { 0.0f, 0.5019608f, 0.0f, 1.0f };
		const float GreenYellow[4] = { 0.6784314f, 1.0f, 0.1843137f, 1.0f };
		const float Honeydew[4] = { 0.9411765f, 1.0f, 0.9411765f, 1.0f };
		const float Hotpink[4] = { 1.0f, 0.4117647f, 0.7058824f, 1.0f };
		const float IndianRed[4] = { 0.8039216f, 0.3607843f, 0.3607843f, 1.0f };
		const float Indigo[4] = { 0.2941176f, 0.0f, 0.5098039f, 1.0f };
		const float Ivory[4] = { 1.0f, 1.0f, 0.9411765f, 1.0f };
		const float Khaki[4] = { 0.9411765f, 0.9019608f, 0.5490196f, 1.0f };
		const float Lavender[4] = { 0.9019608f, 0.9019608f, 0.9803922f, 1.0f };
		const float LavenderBlush[4] = { 1.0f, 0.9411765f, 0.9607843f, 1.0f };
		const float LawnGreen[4] = { 0.4862745f, 0.9882353f, 0.0f, 1.0f };
		const float LemonChiffon[4] = { 1.0f, 0.9803922f, 0.8039216f, 1.0f };
		const float LightBlue[4] = { 0.6784314f, 0.8470588f, 0.9019608f, 1.0f };
		const float LightCoral[4] = { 0.9411765f, 0.5019608f, 0.5019608f, 1.0f };
		const float LightCyan[4] = { 0.8784314f, 1.0f, 1.0f, 1.0f };
		const float LightGoldenrodYellow[4] = { 0.9803922f, 0.9803922f, 0.8235294f, 1.0f };
		const float LightGray[4] = { 0.8274510f, 0.8274510f, 0.8274510f, 1.0f };
		const float LightGreen[4] = { 0.5647059f, 0.9333333f, 0.5647059f, 1.0f };
		const float LightGrey[4] = { 0.8274510f, 0.8274510f, 0.8274510f, 1.0f };
		const float LightPink[4] = { 1.0f, 0.7137255f, 0.7568627f, 1.0f };
		const float LightSalmon[4] = { 1.0f, 0.6274510f, 0.4784314f, 1.0f };
		const float LightSeaGreen[4] = { 0.1254902f, 0.6980392f, 0.6666667f, 1.0f };
		const float LightSkyBlue[4] = { 0.5294118f, 0.8078431f, 0.9803922f, 1.0f };
		const float LightSlateGray[4] = { 0.4666667f, 0.5333333f, 0.6000000f, 1.0f };
		const float LightSlateGrey[4] = { 0.4666667f, 0.5333333f, 0.6000000f, 1.0f };
		const float LightSteelBlue[4] = { 0.6901961f, 0.7686275f, 0.8705882f, 1.0f };
		const float LightYellow[4] = { 1.0f, 1.0f, 0.8784314f, 1.0f };
		const float Lime[4] = { 0.0f, 1.0f, 0.0f, 1.0f };
		const float LimeGreen[4] = { 0.1960784f, 0.8039216f, 0.1960784f, 1.0f };
		const float Linen[4] = { 0.9803922f, 0.9411765f, 0.9019608f, 1.0f };
		const float Magenta[4] = { 1.0f, 0.0f, 1.0f, 1.0f };
		const float Maroon[4] = { 0.5019608f, 0.0f, 0.0f, 1.0f };
		const float MediumAquamarine[4] = { 0.4000000f, 0.8039216f, 0.6666667f, 1.0f };
		const float MediumBlue[4] = { 0.0f, 0.0f, 0.8039216f, 1.0f };
		const float MediumOrchid[4] = { 0.7294118f, 0.3333333f, 0.8274510f, 1.0f };
		const float MediumPurple[4] = { 0.5764706f, 0.4392157f, 0.8588235f, 1.0f };
		const float MediumSeaGreen[4] = { 0.2352941f, 0.7019608f, 0.4431373f, 1.0f };
		const float MediumSlateBlue[4] = { 0.4823529f, 0.4078431f, 0.9333333f, 1.0f };
		const float MediumSpringGreen[4] = { 0.0f, 0.9803922f, 0.6039216f, 1.0f };
		const float MediumTurquoise[4] = { 0.2823529f, 0.8196078f, 0.8000000f, 1.0f };
		const float MediumVioletRed[4] = { 0.7803922f, 0.0823529f, 0.5215686f, 1.0f };
		const float MidnightBlue[4] = { 0.0980392f, 0.0980392f, 0.4392157f, 1.0f };
		const float MintCream[4] = { 0.9607843f, 1.0f, 0.9803922f, 1.0f };
		const float MistyRose[4] = { 1.0f, 0.8941176f, 0.8823529f, 1.0f };
		const float Moccasin[4] = { 1.0f, 0.8941176f, 0.7098039f, 1.0f };
		const float NavajoWhite[4] = { 1.0f, 0.8705882f, 0.6784314f, 1.0f };
		const float Navy[4] = { 0.0f, 0.0f, 0.5019608f, 1.0f };
		const float Oldlace[4] = { 0.9921569f, 0.9607843f, 0.9019608f, 1.0f };
		const float Olive[4] = { 0.5019608f, 0.5019608f, 0.0f, 1.0f };
		const float OliveDrab[4] = { 0.4196078f, 0.5568627f, 0.1372549f, 1.0f };
		const float Orange[4] = { 1.0f, 0.6470588f, 0.0f, 1.0f };
		const float OrangeRed[4] = { 1.0f, 0.2705882f, 0.0f, 1.0f };
		const float Orchid[4] = { 0.8549020f, 0.4392157f, 0.8392157f, 1.0f };
		const float PaleGoldenrod[4] = { 0.9333333f, 0.9098039f, 0.6666667f, 1.0f };
		const float PaleGreen[4] = { 0.5960784f, 0.9843137f, 0.5960784f, 1.0f };
		const float PaleTurquoise[4] = { 0.6862745f, 0.9333333f, 0.9333333f, 1.0f };
		const float PalevioletRed[4] = { 0.8588235f, 0.4392157f, 0.5764706f, 1.0f };
		const float PapayaWhip[4] = { 1.0f, 0.9372549f, 0.8352941f, 1.0f };
		const float PeachPuff[4] = { 1.0f, 0.8549020f, 0.7254902f, 1.0f };
		const float Peru[4] = { 0.8039216f, 0.5215686f, 0.2470588f, 1.0f };
		const float Pink[4] = { 1.0f, 0.7529412f, 0.7960784f, 1.0f };
		const float Plum[4] = { 0.8666667f, 0.6274510f, 0.8666667f, 1.0f };
		const float PowderBlue[4] = { 0.6901961f, 0.8784314f, 0.9019608f, 1.0f };
		const float Purple[4] = { 0.5019608f, 0.0f, 0.5019608f, 1.0f };
		const float Red[4] = { 1.0f, 0.0f, 0.0f, 1.0f };
		const float RosyBrown[4] = { 0.7372549f, 0.5607843f, 0.5607843f, 1.0f };
		const float RoyalBlue[4] = { 0.2549020f, 0.4117647f, 0.8823529f, 1.0f };
		const float SaddleBrown[4] = { 0.5450980f, 0.2705882f, 0.0745098f, 1.0f };
		const float Salmon[4] = { 0.9803922f, 0.5019608f, 0.4470588f, 1.0f };
		const float SandyBrown[4] = { 0.9568627f, 0.6431373f, 0.3764706f, 1.0f };
		const float SeaGreen[4] = { 0.1803922f, 0.5450980f, 0.3411765f, 1.0f };
		const float SeaShell[4] = { 1.0f, 0.9607843f, 0.9333333f, 1.0f };
		const float Sienna[4] = { 0.6274510f, 0.3215686f, 0.1764706f, 1.0f };
		const float Silver[4] = { 0.7529412f, 0.7529412f, 0.7529412f, 1.0f };
		const float SkyBlue[4] = { 0.5294118f, 0.8078431f, 0.9215686f, 1.0f };
		const float SlateBlue[4] = { 0.4156863f, 0.3529412f, 0.8039216f, 1.0f };
		const float SlateGray[4] = { 0.4392157f, 0.5019608f, 0.5647059f, 1.0f };
		const float SlateGrey[4] = { 0.4392157f, 0.5019608f, 0.5647059f, 1.0f };
		const float Snow[4] = { 1.0f, 0.9803922f, 0.9803922f, 1.0f };
		const float SpringGreen[4] = { 0.0f, 1.0f, 0.4980392f, 1.0f };
		const float SteelBlue[4] = { 0.2745098f, 0.5098039f, 0.7058824f, 1.0f };
		const float Tan[4] = { 0.8235294f, 0.7058824f, 0.5490196f, 1.0f };
		const float Teal[4] = { 0.0f, 0.5019608f, 0.5019608f, 1.0f };
		const float Thistle[4] = { 0.8470588f, 0.7490196f, 0.8470588f, 1.0f };
		const float Tomato[4] = { 1.0f, 0.3882353f, 0.2784314f, 1.0f };
		const float Turquoise[4] = { 0.2509804f, 0.8784314f, 0.8156863f, 1.0f };
		const float Violet[4] = { 0.9333333f, 0.5098039f, 0.9333333f, 1.0f };
		const float Wheat[4] = { 0.9607843f, 0.8705882f, 0.7019608f, 1.0f };
		const float White[4] = { 1.0f, 1.0f, 1.0f, 1.0f };
		const float WhiteSmoke[4] = { 0.9607843f, 0.9607843f, 0.9607843f, 1.0f };
		const float Yellow[4] = { 1.0f, 1.0f, 0.0f, 1.0f };
		const float YellowGreen[4] = { 0.6039216f, 0.8039216f, 0.1960784f, 1.0f };
	}
}

#endif
