#ifndef XOR_INPUT_DEVICES_H
#define XOR_INPUT_DEVICES_H


#include "stdafx.h"


struct Keyboard
{
	map<int, bool> keycodes;
	vector<int> buffer;
	unsigned int modifiers;
};


struct Mouse
{
	int x;
	int y;
	int z;
	int w;
	int dx;
	int dy;
	int dz;
	int dw;
	map<int, bool> buttons;
};


struct Joystick
{
	map<int, map<int, double>> sticks;
	map<int, bool> buttons;
};


#endif
