#include "stdafx.h"
#include "commodore.h"

char *VIC20_NTSC_Colors[] = {
	"#000000", // black
	"#ffffff", // white
	"#f91137", // red
	"#35f9f6", // cyan
	"#ff3cc6", // pink
	"#3ceda9", // green
	"#0f57f7", // blue
	"#fee963", // yellow
	"#fb6244", // orange
	"#fbbfde", // light rose
	"#f3ace5", // light pink 1
	"#a8eadd", // light cyan
	"#e6b8f7", // light pink 2
	"#abdda4", // light green
	"#6ab3e7", // light blue
	"#f7daa5"  // light peach
};

char *VIC20_PAL_Colors[] = {
	"#000000", // black
	"#ffffff", // white
	"#b61f21", // red
	"#4df0ff", // cyan
	"#b43fff", // purple
	"#44e237", // green
	"#1a34ff", // blue
	"#dcd71b", // yellow
	"#ca5400", // orange
	"#e9b072", // light orange
	"#e79293", // light red
	"#9af7fd", // light cyan
	"#e09fff", // light purple
	"#8fe493", // light green
	"#8290ff", // light blue
	"#e5de85"  // light yellow
};

char *VIC20_Colors[] = {
	"#000000", // black
	"#ffffff", // white
	"#f91137", // red
	"#35f9f6", // cyan
	"#ff3cc6", // pink
	"#3ceda9", // green
	"#0f57f7", // blue
	"#fee963", // yellow
	"#fb6244", // orange
	"#fbbfde", // light rose
	"#f3ace5", // light pink 1
	"#a8eadd", // light cyan
	"#e6b8f7", // light pink 2
	"#abdda4", // light green
	"#6ab3e7", // light blue
	"#f7daa5"  // light peach
	"#000000", // black
	"#ffffff", // white
	"#b61f21", // red
	"#4df0ff", // cyan
	"#b43fff", // purple
	"#44e237", // green
	"#1a34ff", // blue
	"#dcd71b", // yellow
	"#ca5400", // orange
	"#e9b072", // light orange
	"#e79293", // light red
	"#9af7fd", // light cyan
	"#e09fff", // light purple
	"#8fe493", // light green
	"#8290ff", // light blue
	"#e5de85"  // light yellow
};

ALLEGRO_COLOR MapHexColor(unsigned color)
{
	int r = (color & 0xFF0000) >> 16;
	int g = (color & 0x00FF00) >> 8;
	int b = (color & 0x0000FF);
	return al_map_rgb(r, g, b);
}

int HexCharToNumber(char c)
{
	if (c == '0') return 0;
	if (c == '1') return 1;
	if (c == '2') return 2;
	if (c == '3') return 3;
	if (c == '4') return 4;
	if (c == '5') return 5;
	if (c == '6') return 6;
	if (c == '7') return 7;
	if (c == '8') return 8;
	if (c == '9') return 9;
	if (c == 'A' || c == 'a') return 10;
	if (c == 'B' || c == 'b') return 11;
	if (c == 'C' || c == 'c') return 12;
	if (c == 'D' || c == 'd') return 13;
	if (c == 'E' || c == 'e') return 14;
	if (c == 'F' || c == 'f') return 15;
	return -1;
}

ALLEGRO_COLOR MapHexColor(const char *hex)
{
	if (hex[0] != '#')
		return al_map_rgb(0, 0, 0);

	int r = HexCharToNumber(hex[1]) * 16 + HexCharToNumber(hex[2]);
	int g = HexCharToNumber(hex[3]) * 16 + HexCharToNumber(hex[4]);
	int b = HexCharToNumber(hex[5]) * 16 + HexCharToNumber(hex[6]);

	return al_map_rgb(r, g, b);
}

ALLEGRO_COLOR VIC20_GetColor(int color, bool PAL)
{
	//switch (color)
	//{
	//case 0: return al_map_rgb(0,0,0); break;
	//case 1: return al_map_rgb(255,255,255); break;
	//case 2: return al_map_rgb(249,17,55); break;
	//case 3: return al_map_rgb(53,249,246); break;
	//case 4: return al_map_rgb(); break;
	//case 5: return al_map_rgb(); break;
	//case 6: return al_map_rgb(); break;
	//case 7: return al_map_rgb(); break;
	//case 8: return al_map_rgb(); break;
	//case 9: return al_map_rgb(); break;
	//case 10: return al_map_rgb(); break;
	//case 11: return al_map_rgb(); break;
	//case 12: return al_map_rgb(); break;
	//case 13: return al_map_rgb(); break;
	//case 14: return al_map_rgb(); break;
	//case 15: return al_map_rgb(); break;
	//}
	return al_map_rgb(0, 0, 0);
}